Bug 459105 - (CVE-2010-2544) CVE-2010-2544 cacti: XSS in utilities.php log file viewer search pattern
CVE-2010-2544 cacti: XSS in utilities.php log file viewer search pattern
Status: VERIFIED
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,public=20100709,reporte...
: Security
Depends On: 459106
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 10:01 EDT by Marc Schoenefeld
Modified: 2016-03-04 06:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2008-08-14 10:01:38 EDT
Summary:

Cross Site Scripting in parameter 'filter'

to reproduce: 

/cacti/utilities.php?tail_lines=50&message_type=-1&go.x=10&go.y=9&refresh=20&reverse=1&filter=%22%3E%3Cscript%3Ealert%28document.cookie%29%3C%2Fscript%3E&page=1&action=view_logfile
Comment 2 OCS Support 2008-09-22 13:52:32 EDT
Fix provided in cacti-0.8.7b-1.1.src.rpm sent to Nils
Comment 3 Vincent Danen 2010-04-28 15:54:35 EDT
This isn't fixed in the current 0.8.7e-3.fc12, which means this isn't fixed in HPC or upstream.  Reproduced with the above-mentioned reproducer.
Comment 4 Tomas Hoger 2010-06-29 05:15:23 EDT
De-obfuscated reproducer:

/utilities.php?refresh=200&filter="><script>alert(document.cookie)</script>&action=view_logfile

Confirmed with 0.8.7f-1.
Comment 6 Tomas Hoger 2010-06-30 08:42:04 EDT
Fixed upstream now:
http://svn.cacti.net/viewvc/cacti/branches/0.8.7/utilities.php?r1=6025&r2=6024&pathrev=6025

Part of larger commit fixing other XSS issues:
http://svn.cacti.net/viewvc?view=rev&revision=6025
Comment 7 Tomas Hoger 2010-07-12 05:23:49 EDT
0.8.7g released:

http://cacti.net/release_notes_0_8_7g.php
Comment 9 errata-xmlrpc 2010-08-19 22:42:38 EDT
This issue has been addressed in following products:

  Red Hat HPC Solution for RHEL 5

Via RHSA-2010:0635 https://rhn.redhat.com/errata/RHSA-2010-0635.html

Note You need to log in before you can comment on or make changes to this bug.